- Qt 6.8
- Qt Widgets
- C++ Classes
- ExtraSelection
- Qt 6.8.3 Reference Documentation

# ExtraSelection Struct

struct QTextEdit::ExtraSelection

The QTextEdit::ExtraSelection structure provides a way of specifying a character format for a given selection in a document. More...

- List of all members, including inherited members

## Public Variables

QTextCursor | cursor
QTextCharFormat | format

## Detailed Description

## Member Variable Documentation

### QTextCursor ExtraSelection::cursor

A cursor that contains a selection in a QTextDocument

### QTextCharFormat ExtraSelection::format

A format that is used to specify a foreground or background brush/color for the selection.